%define _phplib %{_libdir}/php
%define _extdir %{_phplib}/extensions
%define modname korean
%define modfullname mod_%{modname}

Summary: php extension that support high level api
Name: php-%{modname}
Version: 0.1.4
Release: 1%{?dist}
Epoch: 1
Group: Development/Languages
License: PHP
Source0: %{modfullname}-%{version}.tar.bz2
Patch0: mod_korean-0.1.4-build.patch

BuildRoot: /var/tmp/%{name}-root
Requires: phpapi libjpeg libpng zlib
BuildRequires: php-devel libjpeg-devel libpng-devel zlib-devel

%description
This extension support various high level php api that support
charset convert, image resize, standalone socket mail and so on.

%prep
%setup -q -n %{modfullname}-%{version}
%patch0 -p1

%build

/usr/bin/phpize

CFLAGS="${RPM_OPT_FLAGS}"
%ifarch x86_64
./configure --with-libdir=lib64
%else
./configure
%endif

%{__make} %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_extdir}

%{__install} -m755 modules/%{modname}.so %{buildroot}%{_extdir}/%{modname}.so

%{__mkdir_p} %{buildroot}%{_sysconfdir}/php.d/{apache,cli}
for i in apache cli
do
	%{__cat} > %{buildroot}%{_sysconfdir}/php.d/$i/%{modname}.ini <<EOF
extension = %{modname}.so
EOF
done

%clean
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_extdir}/%{modname}.so
%config(noreplace) %{_sysconfdir}/php.d/apache/%{modname}.ini
%config(noreplace) %{_sysconfdir}/php.d/cli/%{modname}.ini

%changelog
* Tue Feb 28 2012 JoungKyun.Kim <http://oops.org> 1:0.1.4-1%{?dist}
- first packaged

